Eclipse Platform Release 3.7

## org.eclipse.ltk.ui.refactoring.resource
Class MoveResourcesWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.ltk.ui.refactoring.RefactoringWizard
              org.eclipse.ltk.ui.refactoring.resource.MoveResourcesWizard

All Implemented Interfaces:
  IWizard

    public class MoveResourcesWizard

extends RefactoringWizard

A wizard for the move resources refactoring.

Since:
  3.4

Field Summary

Fields inherited from class org.eclipse.ltk.ui.refactoring.RefactoringWizard
`CHECK_INITIAL_CONDITIONS_ON_OPEN, DIALOG_BASED_UESR_INTERFACE, DIALOG_BASED_USER_INTERFACE, NO_BACK_BUTTON_ON_STATUS_DIALOG, NO_PREVIEW_PAGE, NONE, PREVIEW_EXPAND_FIRST_NODE, SHOW_HELP_CONTROL, WIZARD_BASED_USER_INTERFACE, YES_NO_BUTTON_STYLE`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`MoveResourcesWizard(IResource[] resources)` Creates a `MoveResourcesWizard`.

Method Summary
`protected void` `addUserInputPages()` Hook method to add user input pages to this refactoring wizard.

Methods inherited from class org.eclipse.ltk.ui.refactoring.RefactoringWizard

`addPage, addPages, canFinish, getChange, getDefaultPageTitle, getMessageLineWidthInChars, getPreviousPage, getRefactoring, getStartingPage, getWizardFlags, internalCreateChange, internalGetExpandFirstNode, internalHasPreviewPage, internalIsYesNoStyle, internalPerformFinish, internalSetChange, internalSetPreviewShown, internalShowBackButtonOnStatusDialog, performCancel, performFinish, setChangeCreationCancelable, setDefaultPageTitle, setForcePreviewReview, setHelpAvailable, setInitialComputationContext, setInitialConditionCheckingStatus`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveResourcesWizard

    public MoveResourcesWizard(IResource[] resources)

  Creates a `MoveResourcesWizard`.

  Parameters:
    `resources` - the resources to move. The resources must exist.

Method Detail

### addUserInputPages

    protected void addUserInputPages()

  Description copied from class: `RefactoringWizard`
  Hook method to add user input pages to this refactoring wizard. Pages added via this call have to be instances of the type `UserInputWizardPage`. Adding pages of a different kind is not permitted and will result in unexpected behavior.

  Specified by:
    `addUserInputPages` in class `RefactoringWizard`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.